Mailinglist Archive: opensuse-security-announce (17 mails)

< Previous Next >
[security-announce] SUSE-SU-2011:0853-1: important: Security update for freetype2
SUSE Security Update: Security update for freetype2
______________________________________________________________________________

Announcement ID: SUSE-SU-2011:0853-1
Rating: important
References: #704612
Cross-References: CVE-2011-0226
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Desktop 11 SP1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update fixes length checks in psaux/psobjs.c.

This issue was used in one of the last jailbreakme exploits
for Apple iPhone/iPad products. (CVE-2011-0226)

Security Issue reference:

* CVE-2011-0226
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0226
>

Indications:

Please install this update.

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-freetype2-4921

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-freetype2-4921

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-freetype2-4921

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-freetype2-4921

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64):

freetype2-devel-2.3.7-25.26.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (ppc64 s390x x86_64):

freetype2-devel-32bit-2.3.7-25.26.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

freetype2-2.3.7-25.26.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64):

freetype2-32bit-2.3.7-25.26.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):

freetype2-2.3.7-25.26.1

- SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64):

freetype2-32bit-2.3.7-25.26.1

- SUSE Linux Enterprise Server 11 SP1 (ia64):

freetype2-x86-2.3.7-25.26.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64):

freetype2-2.3.7-25.26.1
freetype2-devel-2.3.7-25.26.1

- SUSE Linux Enterprise Desktop 11 SP1 (x86_64):

freetype2-32bit-2.3.7-25.26.1


References:

http://support.novell.com/security/cve/CVE-2011-0226.html
https://bugzilla.novell.com/704612

http://download.novell.com/patch/finder/?keywords=159c3ec13b51f0cfb8c52b30ab42be47

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
  • No further messages